## hildon-notify 0.0.1-1

=== debian/changelog ===
hildon-notify (0.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Lucas Rocha <lucas.rocha@nokia.com>  Mon,  7 May 2007 17:46:35 +0300
