## hildon-notify 0.0.2-1

=== debian/changelog ===
hildon-notify (0.0.2-1) unstable; urgency=low

  * Added method to define notification sound hint. 

 -- Lucas Rocha <lucas.rocha@nokia.com>  Fri,  8 Jun 2007 13:42:57 +0300
