## hildon-notify 0.0.2-1-recomp1

=== debian/changelog ===
hildon-notify (0.0.2-1-recomp1) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix -recomp1 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Wed, 18 Feb 2009 10:50:23 +0200
