## hildon-notify 0.0.3-4

=== debian/changelog ===
hildon-notify (0.0.3-4) unstable; urgency=low

  * More fixes in rules and libhildonnotify0-doc.install. 

 -- Lucas Rocha <lucas.rocha@nokia.com>  Wed, 24 Oct 2007 15:49:04 +0300

hildon-notify (0.0.3-3) unstable; urgency=low

  * Some fixes in the doc build system.

 -- Lucas Rocha <lucas.rocha@nokia.com>  Wed, 24 Oct 2007 15:29:38 +0300

hildon-notify (0.0.3-2) unstable; urgency=low

  * Add missing libhildonnotify0-doc.install file.

 -- Lucas Rocha <lucas.rocha@nokia.com>  Wed, 24 Oct 2007 14:22:39 +0300

hildon-notify (0.0.3-1) unstable; urgency=low

  * Removed unused methods from public API and internal attributes.

  * debian/control:
    . added libhildonnotify0-doc
    . added Build-Depends-Indep to gtk-doc-tools
  * debian/rules:
    . enable gtk-doc
    . add a symlink from /usr/share/gtk-doc/html
  * debian/libhildonnotify0-doc.install: added

 -- Lucas Rocha <lucas.rocha@nokia.com>  Fri, 19 Oct 2007 15:44:58 +0300
