=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hildon-notify
 Priority: optional
 Maintainer: Lucas Rocha <lucas.rocha@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), libnotify-dev, pkg-config 
+Build-Depends: debhelper (>= 4.0.0), libnotify-dev, pkg-config, gtk-doc-tools 
 Standards-Version: 3.6.1
 
 Package: libhildonnotify-dev
@@ -25,3 +25,12 @@
 Description: libhildonnotify shared library
   libnotify wrapper which adds support for D-Bus callbacks in 
   notification actions
+
+Package: libhildonnotify0-doc
+Section: doc
+Architecture: all
+Depends: lynx | www-browser
+Description: Documentation for the libhildonnotify library
+  This package contains the HTML documentation for the libhildonnotify0 
+  library in /usr/share/doc/libhildonnotify0-doc/ .
+
