=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,12 @@
 	CFLAGS += -O2
 endif
 
+ifeq (,$(findstring nodocs,$(DEB_BUILD_OPTIONS)))
+ENABLE_GTK_DOC = --enable-gtk-doc
+else
+ENABLE_GTK_DOC = --disable-gtk-doc
+endif
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -49,8 +55,11 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr
-
+	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
+	                               --build=$(DEB_BUILD_GNU_TYPE) \
+				       --prefix=/usr \
+				       $(ENABLE_GTK_DOC) \
+				       --with-html-dir=\$${prefix}/share/doc/libhildonnotify0-doc
 
 build: build-stamp
 build-stamp:  config.status
@@ -94,14 +103,16 @@
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
+	dh_link -plibhildonnotify0-doc			\
+		usr/share/doc/libhildonnotify0-doc/libhildonnotify \
+		usr/share/gtk-doc/html/libhildonnotify;
 
 # Build architecture-dependent files here.
 binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
-	dh_installdocs
+	dh_installdocs 
 	dh_install --sourcedir=debian/build -v
 #	dh_installexamples
 #	dh_install
